apiVersion: source.toolkit.fluxcd.io/v1beta1
kind: GitRepository
metadata:
  name: dittofeed
  labels:
    app.kubernetes.io/name: {{ template "dittofeed.name" . }}
    helm.sh/chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  interval: 5m
  url: https://github.com/risserlabs-com/dittofeed
---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: {{ .Release.Name }}-release
  labels:
    app.kubernetes.io/name: {{ template "dittofeed.name" . }}
    helm.sh/chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  interval: 5m
  chart:
    spec:
      chart: dittofeed
      version: {{ .Chart.Version }}
      sourceRef:
        apiVersion: source.toolkit.fluxcd.io/v1beta1
        kind: GitRepository
        name: dittofeed
  values:
    workspaceName: Dittofeed
    replicaCount: {{ .Values.config.replicas }}
    maxOldSpaceSize: 412
    image:
      repository: {{ .Values.images.dittofeed.repository }}
      pullPolicy: {{ .Values.config.imagePullPolicy }}
      tag: {{ .Values.images.dittofeed.tag }}
    imagePullSecrets: []
    nameOverride: ""
    fullnameOverride: ""
    serviceAccount:
      create: true
      automount: true
      annotations: {}
      name: ""
    podAnnotations: {}
    podLabels: {}
    podSecurityContext: {}
    securityContext: {}
    service:
      type: {{ .Values.service.dittofeed.type }}
      port: {{ .Values.service.dittofeed.lbPorts.http }}
    ingress:
      enabled: {{ .Values.ingress.dittofeed.enabled }}
      className: ""
      annotations: {}
      hosts:
        - host: {{ .Values.config.dittofeed.hostname }}
          paths:
            pathType: {{ .Values.config.dittofeed.paths.pathType }}
      tls: []
    resources:
      limits:
        cpu: {{ .Values.config.dittofeed.resources.limits.cpu }}
        memory: {{ .Values.config.dittofeed.resources.limits.memory }}
      requests:
        cpu: {{ .Values.config.dittofeed.resources.requests.cpu }}
        memory: {{ .Values.config.dittofeed.resources.requests.memory }}
    clickhouse:
      enabled: false
      shards: 1
      replicaCount: 1
      zookeeper:
        enabled: false
      defaultConfigurationOverrides: |
        <clickhouse>
          <macros>
            <shard>1</shard>
            <replica>single</replica>
          </macros>
        </clickhouse>
      resources:
        limits:
          memory: {{ .Values.config.clickhouse.resources.limits.memory }}
        requests:
          memory: {{ .Values.config.clickhouse.resources.requests.memory }}
      auth:
        username: {{ .Values.config.clickhouse.auth.username }}
        password: {{ .Values.config.clickhouse.auth.password }}
        database: {{ .Values.config.clickhouse.auth.database }}
    postgresql:
      enabled: false
      auth:
        username: {{ .Values.config.postgresql.username }}
        password: {{ .Values.config.postgresql.password }}
        database: {{ .Values.config.postgresql.database }}
    temporal:
      enabled: false
      resources:
        limits:
          cpu: {{ .Values.config.temporal.resources.limits.cpu }}
          memory: {{ .Values.config.temporal.resources.limits.memory }}
        requests:
          cpu: {{ .Values.config.temporal.resources.requests.cpu }}
          memory: {{ .Values.config.temporal.resources.requests.memory }}
      env:
        - name: POSTGRES_SEEDS
          value: "demo-postgresql.default.svc.cluster.local:5432"
        - name: POSTGRES_USER
          value: "postgres"
        - name: POSTGRES_PWD
          value: "password"
      image:
        repository: {{ .Values.images.temporal.repository }}
        tag: {{ .Values.images.temporal.tag }}
        pullPolicy: {{ .Values.config.imagePullPolicy }}
    env:
      - name: DATABASE_HOST
        value: "demo-postgresql.default.svc.cluster.local"
      - name: DATABASE_USER
        value: "postgres"
      - name: DATABASE_PASSWORD
        value: "password"
      - name: CLICKHOUSE_HOST
        value: "http://demo-clickhouse.default.svc.cluster.local:8123"
      - name: CLICKHOUSE_USER
        value: "dittofeed"
      - name: CLICKHOUSE_PASSWORD
        value: "password"
      - name: BOOTSTRAP_SAFE
        value: "true"
      - name: TEMPORAL_ADDRESS
        value: "demo-dittofeed-temporal:80"
    autoscaling:
      enabled: false
      minReplicas: 1
      maxReplicas: 100
      targetCPUUtilizationPercentage: 80
    nodeSelector: {}
    tolerations: []
    affinity: {}
    livenessProbe:
      enabled: {{ .Values.config.livenessProbe.enabled }}
      initialDelaySeconds: {{ .Values.config.livenessProbe.initialDelaySeconds }}
      periodSeconds: {{ .Values.config.livenessProbe.periodSeconds }}
      timeoutSeconds: {{ .Values.config.livenessProbe.timeoutSeconds }}
      failureThreshold: {{ .Values.config.livenessProbe.failureThreshold }}
      successThreshold: {{ .Values.config.livenessProbe.successThreshold }}
      httpGet:
        path: {{ .Values.config.livenessProbe.httpGet.path }}
        port: {{ .Values.config.livenessProbe.httpGet.port }}






















